delete from report_sql where computer={?Computer};

INSERT INTO REPORT_SQL ( COMPUTER, DATE3, NUM11, NUM12, NUM13, STR4, STR11, NUM20, num19, num30) 
select {?Computer}, PSL.DAN, PSL.IDPSL, PSL.IDNRC, PSL.IDPOG, TO_CHAR(PSL.CAS), PSL.SFVLTVPL, PSL.IDVPL, pog.sfrcn, pog.sfosb FROM PSL, POG 
WHERE PSL.IDPOG=POG.IDPOG 
?AND PSL.DAN={?Datum} 
?AND PSL.IDPSL={?IDPSL}
?AND PSL.IDPOG={?IDPOG} 
?AND POG.SFKRS={?SFKRS}
AND PSL.SFDJV<>'X';

UPDATE REPORT_SQL
SET
STR13=(SELECT SFNRCTCJ FROM NRC WHERE IDNRC=REPORT_SQL.NUM12)
WHERE  computer={?Computer} and NUM12 IS NOT NULL;

UPDATE REPORT_SQL
SET
STR5=(SELECT NZV FROM SIF WHERE SSF='NRCTCJ' AND SIF=(SELECT SFNRCTCJ FROM NRC WHERE IDNRC=REPORT_SQL.NUM12)),
STR9=(CASE WHEN STR13='L' THEN 'LIMIT' 
           WHEN STR13='p' THEN 'DICRETIONARY' 
           WHEN STR13='T' THEN 'MARKET' 
           WHEN STR13='O' THEN 'MARKET TO LIMIT' 
      ELSE (SELECT NZV FROM SIF WHERE SSF='NRCTCJ' AND SIF=(SELECT SFNRCTCJ FROM NRC WHERE IDNRC=REPORT_SQL.NUM12)) END),
STR6=(SELECT NZV FROM SIF WHERE SSF='NRC' AND SIF=(SELECT SFNRC FROM NRC WHERE IDNRC=REPORT_SQL.NUM12))
WHERE  computer={?Computer} and NUM12 IS NOT NULL;

UPDATE REPORT_SQL
SET
STR14=(SELECT SFPSL FROM PSL WHERE IDPSL=REPORT_SQL.NUM11)
WHERE  computer={?Computer} and STR14 IS NULL;

UPDATE REPORT_SQL
SET
STR6=(SELECT NZV FROM SIF WHERE SSF='PDG' AND SIF=(SELECT SFPSL FROM PSL WHERE IDPSL=REPORT_SQL.NUM11))
WHERE  computer={?Computer} and STR6 IS NULL;

UPDATE REPORT_SQL
SET
STR15=(CASE WHEN STR14 IN ('N','A') THEN 'PURCHASE'
            WHEN STR14 IN ('P','a') THEN 'SALE'
       ELSE (SELECT NZV FROM SIF WHERE SSF='NRC' AND SIF=REPORT_SQL.STR14) END)
WHERE  computer={?Computer} and STR15 IS NULL;

update REPORT_SQL
SET NUM10=(SELECT SFVP AS SFVPGOT FROM SFVP WHERE SFFIN = 'G' AND SfVltNmn = STR11)
WHERE computer={?Computer};

update REPORT_SQL
SET DATE4=(select MAX(DAN) FROM OBD WHERE DAN<=DATE3)
WHERE computer={?Computer};

update REPORT_SQL
SET NUM14=(select max(IDOBD) FROM OBD WHERE DAN<=DATE4)
WHERE computer={?Computer};

update REPORT_SQL
SET NUM4=(select SUM(GOT+OBV-TER) FROM DOG 
WHERE IDPOG=NUM13 AND 
IDOBD=NUM14 AND SFVPGOT=NUM10 AND ((DAN<DATE3) or (
DAN=DATE3 and SfPdg NOT In ('N','A','B','P','a','b','{','n','p','$'))))
WHERE computer={?Computer} and num3 is null;

UPDATE REPORT_SQL
SET NUM6=(select sum(dog.GOT+DOG.OBV-DOG.TER) 
from dog, vpl
where dog.idvpl=vpl.idvpl AND DOG.IDVPL IS NOT NULL and vpl.dan=DATE3 AND vpl.IDPOG=NUM13 AND SFVPGOT=NUM10
and vpl.st>=(SELECT MIN(ST) FROM VPL WHERE DAN=DATE3 AND IDPOG=NUM13) 
and vpl.st<(SELECT ST FROM VPL WHERE IDVPL=NUM20) 
and (sfvpl ='p' or sfvpl ='n' or sfvpl ='$'))
WHERE computer={?Computer};

update REPORT_SQL
SET NUM15=(select SUM(GOT+OBV-TER) FROM DOG 
WHERE IDPOG=NUM13 AND 
IDOBD=NUM14 AND SFVPGOT=(select SFVP from sfvp where krt='EUR')  AND ((DAN<DATE3) or (
DAN=DATE3 and SfPdg NOT In ('N','A','B','P','a','b','{','n','p','$'))))
WHERE computer={?Computer} and num3 is null;

update REPORT_SQL
SET NUM5=(select SUM(ZLZ) FROM DOG 
WHERE IDPOG=NUM13 AND IDOBD=NUM14 AND SFVPGOT=NUM10 AND DAN<=DATE3)
WHERE computer={?Computer} and num3 is null;

update REPORT_SQL
SET NUM4=0
WHERE computer={?Computer} and num4 is null;

update REPORT_SQL
SET NUM5=0
WHERE computer={?Computer} and num5 is null;

update REPORT_SQL
SET NUM3=NUM4-NUM5
WHERE computer={?Computer};

UPDATE REPORT_SQL 
SET
STR1=(SELECT OZNAKA FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
STR2=(SELECT SFVLTTO FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
STR3=(SELECT K1 FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
STR7=(SELECT SFVLTFROM FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
STR10='TECAJ',
NUM1=(SELECT TCJVLT FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
NUM2=(SELECT SFVPFROM FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
DATE1=(SELECT D.DANOD FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3),
DATE2=(SELECT D.DANDO FROM EUROOBD D WHERE DANOD<=DATE3 AND DANDO>=DATE3)
WHERE computer={?Computer};

UPDATE REPORT_SQL
SET STR19=(SELECT VREDNOST FROM INISET WHERE KLJUC='RCN4443')
WHERE computer={?Computer};


UPDATE REPORT_SQL
SET (STR17, STR18)=(SELECT RCN.RCN, RCN.IBAN FROM RCN WHERE SFRCN=NUM19)
WHERE computer={?Computer};

-- Status osebe, drava, davni zavezanec
update REPORT_SQL
SET STR34=(SELECT EC from DRZ WHERE sfdrz IN (SELECT nvl(sfdrzdvk,sfdrz)FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30)),
    STR32=(SELECT nvl(sfdrzdvk,sfdrz) from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30),
    STR33=(SELECT
                  CASE
                      WHEN sfsos = 'F' then 'F'
                      ELSE 'P'
                  END
                  FROM OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30),
    STR30=(SELECT DZ from OSB WHERE OSB.SFOSB = REPORT_SQL.NUM30)
WHERE computer={?Computer};

-- Oznaka_drave
update REPORT_SQL
SET STR35=(SELECT
                CASE
                    WHEN R.STR32 = 'S' then 'D'
                    WHEN R.STR32 <> 'S' and R.STR34 ='D' then 'E'
                   ELSE 'T'
                END
           FROM REPORT_SQL R WHERE R.num11 = report_sql.num11 and R.computer={?Computer})
WHERE computer={?Computer};

-- Klavzula
INSERT INTO REPORT_SQL ( COMPUTER, num29, num30, num1, date1 )
select DISTINCT {?Computer}, 1, R.num30, S.idkla, S.dan
FROM report_sql R, sif_klavzule S
     WHERE R.STR35 = S.oznaka_drzava
       AND R.STR33 = S.pravni_status
       AND R.STR30 = S.je_zavezanec
       AND S.vrsta_izp = 'O'
       AND S.dan   = (select MAX(S.dan) 
                      from   sif_klavzule S 
                      where  S.dan <= R.date3 
			and(s.dando is null or  s.dando>=R.date3)
                      AND    S.oznaka_drzava = R.STR35 
                      AND    S.pravni_status = R.STR33
                      AND    S.je_zavezanec = R.STR30
                      AND    S.vrsta_izp = 'O' and R.computer={?Computer})
       AND R.computer={?Computer};

--direktna bremenitev
INSERT INTO REPORT_SQL ( COMPUTER, num29, num13 )
select DISTINCT {?Computer} , 3, R.num13
FROM report_sql R    WHERE R.computer = {?Computer}
group by R.num13;

--pogledam v pos tabelo in v str1polnim sfpos
update report_sql set report_sql.str1 = (select pos.sfpos from pos where report_sql.num13 = pos.idpog  
and pos.SFPOS = 'B')
where report_sql.computer = {?Computer} and report_sql.num29=3;

--
update report_sql set report_sql.str1 = 'N' where report_sql.computer = {?Computer} and report_sql.num29=3 and report_sql.str1 is null;


UPDATE REPORT_SQL
SET STR31=(SELECT str1 FROM report_sql R  WHERE R.computer = {?Computer} AND R.str1='B' and R.num13=report_sql.num13) WHERE  computer={?Computer} and STR32 IS not NULL and STR33 IS not NULL and STR34 IS not NULL and STR35 IS not NULL;


update report_sql 
set str8 = (select SFPOG.SFPOGSRC from SFPOG
                       left outer join pog on sfpog.sfpog=pog.sfpog
                       where pog.idpog=num13)
WHERE computer = {?Computer}
;


--update report_sql set report_sql.str8 = 'P' 
--where report_sql.computer = {?Computer} 
--and report_sql.num13 in (select pog.idpog from pog
--                       left outer join sfpog on sfpog.sfpog=pog.sfpog
--                       where sfpog.sfpogsrc='P');


update report_sql set report_sql.str8 = 'N' 
where report_sql.computer = {?Computer} 
and report_sql.str8 is null
;